subversion-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Branko ─îibej <br...@wandisco.com>
Subject Re: Subversion 1.8.9 repository access issue [Urgent]
Date Sun, 06 Jul 2014 20:58:27 GMT
On 06.07.2014 13:35, Andreas Stieger wrote:
> Hi,
>
> On 06/07/14 12:11, Mohsin Abbas wrote:
>> [upgraded server from 1.4.2 to 1.8.9]
>> [Fri Jul 04 15:07:43 2014] [error] [client 192.168.x.x] (20014)Internal
>> error: Failed to load module for FS type 'bdb'

I replied to this same question yesterday. Why didn't you read the reply?

> Your repository is of type bdb, (berkeley db backend), not fsfs. As such
> is it not suitable for a direct upgrade.

That's nonsense.

>  You must dump the repository
> contents using the previous version 1.4.2 using svnadmin dump and then
> load it into 1.8.9. This is one of the reasons why the bdb back-end has
> been deprecated.

"Deprecated" does not mean "not supported". You can use a BDB repository
in 1.8.9 just fine, but you do have to build the BDB backend library.
See Message-ID: <53B7A54A.30500@wandisco.com>.

-- Brane


-- 
Branko ─îibej | Director of Subversion
WANdisco // Non-Stop Data
e. brane@wandisco.com

Mime
View raw message